/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2025 SEGGER Microcontroller GmbH                  *
*                                                                    *
*       Internet: segger.com  Support: support_embos@segger.com      *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system                           *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       OS version: V5.20.0.0                                        *
*                                                                    *
**********************************************************************

----------------------------------------------------------------------
File    : BSP.c
Purpose : BSP for Embedded Artists LPC31xx Base Board and IAR compiler
--------  END-OF-HEADER  ---------------------------------------------
*/

#define BSP_C
#include "BSP.h"
#include "lpc313x_ioconf_driver.h"

/*********************************************************************
*
*       Global functions
*
**********************************************************************
*/

/*********************************************************************
*
*       BSP_Init()
*/
void BSP_Init(void) {  // Initially switch off LEDs
}

/*********************************************************************
*
*       LED switching routines
*/
void BSP_SetLED(int Index) {
  if (Index == 0) {
    gpio_set_outpin_high(IOCONF_GPIO, 2);    // Switch on LED 0
  }
}

void BSP_ClrLED(int Index) {
  if (Index == 0) {
    gpio_set_outpin_low(IOCONF_GPIO, 2);;    // Switch off LED 0
  }
}

void BSP_ToggleLED(int Index) {
  if (Index == 0) {
    if (gpio_get_pin_state(IOCONF_GPIO, 2) != 0) {
      BSP_ClrLED(0);
    } else {
      BSP_SetLED(0);
    }
  }
}

/****** EOF *********************************************************/

