/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2025 SEGGER Microcontroller GmbH                  *
*                                                                    *
*       Internet: segger.com  Support: support_embos@segger.com      *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system                           *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       OS version: V5.20.0.0                                        *
*                                                                    *
**********************************************************************

----------------------------------------------------------------------
File    : BootLoaderNAND_LPC3250_512MBit.c
Purpose : Bootloader for Phytec Phycore, loads application from
          NAND into SDRAM.
--------  END-OF-HEADER  ---------------------------------------------
*/

#pragma section="BTL"

__root const unsigned char _acBootLoaderNAND[] @ "BTL" = {
  0x18, 0xF0, 0x9F, 0xE5, 0x18, 0xF0, 0x9F, 0xE5, 0x18, 0xF0, 0x9F, 0xE5, 0x18, 0xF0, 0x9F, 0xE5,
  0x18, 0xF0, 0x9F, 0xE5, 0xFF, 0xFF, 0xFF, 0xFF, 0x18, 0xF0, 0x9F, 0xE5, 0x18, 0xF0, 0x9F, 0xE5,
  0xBC, 0x03, 0x00, 0x08, 0x04, 0x00, 0x00, 0x08, 0x08, 0x00, 0x00, 0x08, 0x0C, 0x00, 0x00, 0x08,
  0x10, 0x00, 0x00, 0x08, 0xFF, 0xFF, 0xFF, 0xFF, 0x9C, 0x1F, 0x00, 0x80, 0x1C, 0x00, 0x00, 0x08,
  0x81, 0xB0, 0x00, 0x28, 0x0B, 0xD0, 0x64, 0x21, 0x40, 0x1E, 0x00, 0x91, 0x02, 0xE0, 0x00, 0x9A,
  0x52, 0x1E, 0x00, 0x92, 0x00, 0x9A, 0x00, 0x2A, 0xF9, 0xD1, 0x00, 0x28, 0xF4, 0xD1, 0x01, 0xB0,
  0x70, 0x47, 0x00, 0x00, 0xF8, 0x43, 0x2D, 0xE9, 0x51, 0x61, 0xA0, 0xE3, 0x40, 0x6C, 0x86, 0xE3,
  0x02, 0x40, 0xA0, 0xE3, 0x38, 0x03, 0x9F, 0xE5, 0xB4, 0x40, 0x86, 0xE5, 0x01, 0x70, 0xA0, 0xE3,
  0x5E, 0x10, 0xA0, 0xE3, 0x1C, 0x70, 0x80, 0xE5, 0xA2, 0x1C, 0x81, 0xE3, 0xB4, 0x11, 0xC0, 0xE1,
  0x00, 0x40, 0x80, 0xE5, 0xB4, 0x11, 0xC0, 0xE1, 0x18, 0x13, 0x9F, 0xE5, 0x04, 0x10, 0x80, 0xE5,
  0x50, 0x0F, 0xA0, 0xE3, 0x3C, 0x00, 0x86, 0xE5, 0x3D, 0x00, 0xA0, 0xE3, 0x2C, 0x00, 0x86, 0xE5,
  0x1E, 0x00, 0xA0, 0xE3, 0x58, 0x0B, 0x80, 0xE3, 0x44, 0x00, 0x86, 0xE5, 0x44, 0x00, 0x96, 0xE5,
  0x01, 0x00, 0x10, 0xE3, 0xFC, 0xFF, 0xFF, 0x0A, 0x30, 0x00, 0x96, 0xE5, 0xC0, 0x85, 0xA0, 0xE3,
  0x04, 0x00, 0x80, 0xE3, 0x30, 0x00, 0x86, 0xE5, 0x30, 0x00, 0x96, 0xE5, 0x42, 0x87, 0x88, 0xE3,
  0xC0, 0x0F, 0xC0, 0xE3, 0x30, 0x00, 0x86, 0xE5, 0x30, 0x00, 0x96, 0xE5, 0x06, 0x10, 0xA0, 0xE3,
  0x40, 0x0F, 0x80, 0xE3, 0x30, 0x00, 0x86, 0xE5, 0x30, 0x00, 0x96, 0xE5, 0x44, 0x52, 0xA0, 0xE3,
  0x40, 0x0F, 0xC0, 0xE3, 0x30, 0x00, 0x86, 0xE5, 0x00, 0x00, 0x98, 0xE5, 0xA0, 0x5B, 0x85, 0xE3,
  0x01, 0x00, 0x80, 0xE3, 0x00, 0x00, 0x88, 0xE5, 0x00, 0x00, 0x98, 0xE5, 0x04, 0x00, 0xC0, 0xE3,
  0x00, 0x00, 0x88, 0xE5, 0x08, 0x00, 0x98, 0xE5, 0x01, 0x00, 0xC0, 0xE3, 0x08, 0x00, 0x88, 0xE5,
  0x00, 0x04, 0x98, 0xE5, 0x01, 0x00, 0xC0, 0xE3, 0x00, 0x04, 0x88, 0xE5, 0x40, 0x04, 0x98, 0xE5,
  0x01, 0x00, 0xC0, 0xE3, 0x40, 0x04, 0x88, 0xE5, 0x60, 0x04, 0x98, 0xE5, 0x01, 0x00, 0xC0, 0xE3,
  0x60, 0x04, 0x88, 0xE5, 0x80, 0x04, 0x98, 0xE5, 0x01, 0x00, 0xC0, 0xE3, 0x80, 0x04, 0x88, 0xE5,
  0x70, 0x0B, 0xA0, 0xE3, 0x54, 0x00, 0x86, 0xE5, 0x30, 0x70, 0x88, 0xE5, 0x04, 0x00, 0xA0, 0xE3,
  0x34, 0x00, 0x88, 0xE5, 0x08, 0x00, 0xA0, 0xE3, 0x38, 0x00, 0x88, 0xE5, 0x44, 0x70, 0x88, 0xE5,
  0x48, 0x00, 0x88, 0xE5, 0x4C, 0x10, 0x88, 0xE5, 0x50, 0x00, 0x88, 0xE5, 0x54, 0x70, 0x88, 0xE5,
  0x58, 0x70, 0x88, 0xE5, 0x00, 0x00, 0xA0, 0xE3, 0x5C, 0x00, 0x88, 0xE5, 0x80, 0x00, 0xA0, 0xE3,
  0x46, 0x0C, 0x80, 0xE3, 0x00, 0x01, 0x88, 0xE5, 0x03, 0x00, 0xA0, 0xE3, 0x80, 0x0F, 0x80, 0xE3,
  0x04, 0x01, 0x88, 0xE5, 0xFF, 0x04, 0xE0, 0xE3, 0x30, 0x01, 0x85, 0xE5, 0x11, 0x00, 0xA0, 0xE3,
  0x28, 0x00, 0x88, 0xE5, 0x93, 0x00, 0xA0, 0xE3, 0x40, 0x0F, 0x80, 0xE3, 0x20, 0x00, 0x88, 0xE5,
  0xC8, 0x00, 0xA0, 0xE3, 0x99, 0xFF, 0xFF, 0xFA, 0x24, 0x70, 0x88, 0xE5, 0x20, 0x00, 0x98, 0xE5,
  0x60, 0x0F, 0xC0, 0xE3, 0x40, 0x0F, 0x80, 0xE3, 0x20, 0x00, 0x88, 0xE5, 0x64, 0x00, 0xA0, 0xE3,
  0x92, 0xFF, 0xFF, 0xFA, 0x20, 0x00, 0x98, 0xE5, 0x60, 0x0F, 0xC0, 0xE3, 0x20, 0x00, 0x88, 0xE5,
  0x64, 0x00, 0xA0, 0xE3, 0x8D, 0xFF, 0xFF, 0xFA, 0x65, 0x00, 0xA0, 0xE3, 0x24, 0x00, 0x88, 0xE5,
  0x20, 0x00, 0x98, 0xE5, 0x80, 0x14, 0xA0, 0xE3, 0x60, 0x0F, 0xC0, 0xE3, 0x80, 0x00, 0x80, 0xE3,
  0x20, 0x00, 0x88, 0xE5, 0x44, 0x18, 0x81, 0xE3, 0x00, 0x10, 0x91, 0xE5, 0x00, 0x10, 0x8D, 0xE5,
  0x20, 0x00, 0x98, 0xE5, 0x60, 0x0F, 0xC0, 0xE3, 0x20, 0x00, 0x88, 0xE5, 0x20, 0x00, 0x98, 0xE5,
  0x01, 0x00, 0xC0, 0xE3, 0x20, 0x00, 0x88, 0xE5, 0x20, 0x00, 0x98, 0xE5, 0x02, 0x00, 0xC0, 0xE3,
  0x20, 0x00, 0x88, 0xE5, 0x00, 0x00, 0x96, 0xE5, 0x01, 0x00, 0x80, 0xE3, 0x00, 0x00, 0x86, 0xE5,
  0x40, 0x0C, 0x84, 0xE3, 0x04, 0x00, 0x85, 0xE5, 0x01, 0x00, 0xA0, 0xE3, 0x31, 0x00, 0x00, 0xFA,
  0x00, 0x70, 0xA0, 0xE3, 0x00, 0x60, 0xA0, 0xE1, 0x07, 0x80, 0xE0, 0xE1, 0x28, 0x91, 0x9F, 0xE5,
  0x0B, 0x00, 0x00, 0xEA, 0x80, 0x00, 0xA0, 0xE3, 0x04, 0x30, 0x92, 0xE4, 0x01, 0x00, 0x50, 0xE2,
  0x04, 0x30, 0x81, 0xE4, 0xFB, 0xFF, 0xFF, 0x1A, 0x01, 0x70, 0x87, 0xE2, 0x20, 0x00, 0x57, 0xE3,
  0x05, 0x00, 0x00, 0x3A, 0x00, 0x70, 0xA0, 0xE3, 0x01, 0x00, 0x86, 0xE2, 0x21, 0x00, 0x00, 0xFA,
  0x00, 0x60, 0xA0, 0xE1, 0x40, 0x0D, 0x56, 0xE3, 0x09, 0x00, 0x00, 0x2A, 0x86, 0x02, 0x87, 0xE0,
  0x08, 0x00, 0x00, 0xFA, 0x01, 0x00, 0x50, 0xE3, 0x01, 0x00, 0x00, 0x1A, 0x00, 0x40, 0x85, 0xE5,
  0xFE, 0xFF, 0xFF, 0xEA, 0x00, 0x12, 0x99, 0xE5, 0x09, 0x20, 0xA0, 0xE1, 0x08, 0x00, 0x51, 0xE1,
  0xE7, 0xFF, 0xFF, 0x1A, 0xF1, 0x83, 0xBD, 0xE8, 0x2F, 0x4A, 0x00, 0x21, 0x11, 0x70, 0x11, 0x71,
  0x10, 0x71, 0x00, 0x0A, 0x10, 0x71, 0x00, 0x0A, 0x10, 0x71, 0x11, 0x75, 0x90, 0x6C, 0x80, 0x07,
  0xFC, 0xD5, 0x90, 0x6C, 0x40, 0x06, 0x01, 0xD5, 0x01, 0x20, 0x70, 0x47, 0x27, 0x4A, 0x4A, 0x20,
  0x27, 0x49, 0x0B, 0x78, 0x13, 0x70, 0x0B, 0x78, 0x53, 0x70, 0x0B, 0x78, 0x93, 0x70, 0x0B, 0x78,
  0xD3, 0x70, 0x0B, 0x78, 0x13, 0x71, 0x0B, 0x78, 0x53, 0x71, 0x0B, 0x78, 0x93, 0x71, 0xD2, 0x1D,
  0x40, 0x1E, 0xEE, 0xD1, 0x00, 0x20, 0x70, 0x47, 0x80, 0x21, 0x49, 0x01, 0x88, 0x42, 0x00, 0xD3,
  0x70, 0x47, 0x70, 0xB4, 0x19, 0x49, 0x1A, 0x4A, 0x17, 0x4B, 0x00, 0x24, 0x45, 0x01, 0x50, 0x26,
  0x1E, 0x70, 0x00, 0x26, 0x1E, 0x71, 0x1D, 0x71, 0x2E, 0x0A, 0x1E, 0x71, 0x36, 0x0A, 0x1E, 0x71,
  0x00, 0x26, 0x1E, 0x75, 0x9E, 0x6C, 0xB6, 0x07, 0xFC, 0xD5, 0x9E, 0x6C, 0x76, 0x06, 0x0B, 0xD4,
  0x16, 0x78, 0x0E, 0x70, 0x16, 0x78, 0x4E, 0x70, 0x16, 0x78, 0x8E, 0x70, 0x16, 0x78, 0xCE, 0x70,
  0x16, 0x78, 0x0E, 0x71, 0x16, 0x78, 0x4E, 0x71, 0x4E, 0x79, 0xFF, 0x2E, 0x05, 0xD0, 0x80, 0x24,
  0x40, 0x1C, 0x64, 0x01, 0xA0, 0x42, 0x04, 0xD2, 0xD7, 0xE7, 0x64, 0x1C, 0x6D, 0x1C, 0x02, 0x2C,
  0xD5, 0xD3, 0x70, 0xBC, 0x70, 0x47, 0x00, 0x00, 0x00, 0x80, 0x0B, 0x20, 0x90, 0x04, 0x00, 0x08,
  0x00, 0x80, 0x0A, 0x20, 0x30, 0x80, 0x0B, 0x20, 0x23, 0x23, 0x14, 0x05, 0x10, 0x1F, 0x11, 0xEE,
  0xA0, 0x00, 0x9F, 0xE5, 0x00, 0x10, 0x01, 0xE0, 0x40, 0x1D, 0x81, 0xE3, 0x10, 0x1F, 0x01, 0xEE,
  0x94, 0x00, 0x9F, 0xE5, 0x00, 0x10, 0x90, 0xE5, 0x01, 0x10, 0xC1, 0xE3, 0x00, 0x10, 0x80, 0xE5,
  0x00, 0x00, 0x0F, 0xE1, 0x1F, 0x00, 0xC0, 0xE3, 0x13, 0x00, 0x80, 0xE3, 0x00, 0xF0, 0x21, 0xE1,
  0x78, 0xD0, 0x9F, 0xE5, 0x78, 0x00, 0x9F, 0xE5, 0x30, 0xFF, 0x2F, 0xE1, 0x00, 0x00, 0x0F, 0xE1,
  0x1F, 0x00, 0xC0, 0xE3, 0x13, 0x00, 0x80, 0xE3, 0x00, 0xF0, 0x21, 0xE1, 0x64, 0xD0, 0x9F, 0xE5,
  0x1F, 0x00, 0xC0, 0xE3, 0x1B, 0x00, 0x80, 0xE3, 0x00, 0xF0, 0x21, 0xE1, 0x58, 0xD0, 0x9F, 0xE5,
  0x1F, 0x00, 0xC0, 0xE3, 0x17, 0x00, 0x80, 0xE3, 0x00, 0xF0, 0x21, 0xE1, 0x4C, 0xD0, 0x9F, 0xE5,
  0x1F, 0x00, 0xC0, 0xE3, 0x11, 0x00, 0x80, 0xE3, 0x00, 0xF0, 0x21, 0xE1, 0x40, 0xD0, 0x9F, 0xE5,
  0x1F, 0x00, 0xC0, 0xE3, 0x12, 0x00, 0x80, 0xE3, 0x00, 0xF0, 0x21, 0xE1, 0x34, 0xD0, 0x9F, 0xE5,
  0x1F, 0x00, 0xC0, 0xE3, 0x1F, 0x00, 0x80, 0xE3, 0x00, 0xF0, 0x21, 0xE1, 0x28, 0xD0, 0x9F, 0xE5,
  0x80, 0x04, 0xA0, 0xE3, 0x10, 0xFF, 0x2F, 0xE1, 0xFA, 0xEF, 0xFF, 0xFF, 0xBC, 0x40, 0x00, 0x40,
  0xF8, 0x0F, 0x00, 0x08, 0x64, 0x00, 0x00, 0x08, 0x28, 0x19, 0x80, 0x80, 0xA8, 0x19, 0x80, 0x80,
  0xE8, 0x19, 0x80, 0x80, 0x68, 0x19, 0x80, 0x80, 0xE8, 0x18, 0x80, 0x80, 0xE8, 0x17, 0x80, 0x80
};

/*** end of file ***/
