#include <quadspi_boot.h>

void __iar_program_start(void);

#pragma location=".conf"
const SFLASH_CONFIGURATION_PARAM quadspi_conf = {
  0,                      /* DQS LoopBack */
  0,                      /* Reserved 1*/
  0,                      /* Reserved 2*/
  0,                      /* Reserved 3*/
  0,                      /* Reserved 4*/
  0,                      /* cs_hold_time */
  0,                      /* cs_setup_time */
  0x400000,                 /* A1 flash size */
  0,                      /* A2 flash size */
  0,                      /* B1 flash size */
  0,                      /* B2 flash size */
  0,                      /* SCLK Freq */
  0,                      /* Reserved 5*/
  1,                      /* Single Mode Flash */
  0,                      /* Port - Only A1 */
  0,                      /* DDR Mode Disable */
  0,                      /* DQS Disable */
  0,                      /* Parallel Mode Disable */
  0,                      /* Port A CS1 */
  0,                      /* Port B CS1 */
  0,                      /* FS Phase */
  0,                      /* FS Delay */
  0,                      /* DDR Sampling */
  /* LUT Programming */
  0x040B,
  0x0818,
  0x0c08,
  0x1c08,
  0x2400,
};


#pragma location=".boot_data"
const BOOT_DATA_T boot_data = {
  FLASH_BASE,                 /* boot start location */
  (FLASH_END-FLASH_BASE),     /* size */
  PLUGIN_FLAG                 /* Plugin flag*/
};


#pragma location=".ivt"
const ivt image_vector_table = {
  IVT_HEADER,                         /* IVT Header */
  (unsigned int)IMAGE_ENTRY_FUNCTION,               /* Image  Entry Function */
  IVT_RSVD,                           /* Reserved = 0 */
  (unsigned int)DCD_ADDRESS,                        /* Address where DCD information is stored */
  (unsigned int)BOOT_DATA_ADDRESS,                  /* Address where BOOT Data Structure is stored */
  (unsigned int)&image_vector_table,      /* Pointer to IVT Self (absolute address */
  (unsigned int)CSF_ADDRESS,                        /* Address where CSF file is stored */
  IVT_RSVD                            /* Reserved = 0 */
};

#pragma location=".dcd"
const unsigned int device_config_data[DCD_ARRAY_SIZE] = {
  /* DCD Header */
  (unsigned int)(DCD_TAG_HEADER |                       \
    (byte_swap16(sizeof(device_config_data)) << 8) | \
    (DCD_VERSION << 24)),
  /* DCD Commands */
  /* Add additional DCD Commands here */
};
